/* This file has been prepared for Doxygen automatic documentation generation.*/
/*! \file *********************************************************************
 *
 * \brief
 *      Header file for time.c
 *
 *      Contains definitions of the number of timers used and their names.
 *
 * \par Application note:
 *      AVR458: Charging Li-Ion Batteries with BC100
 *
 * \par Documentation
 *      For comprehensive code documentation, supported compilers, compiler 
 *      settings and supported devices see readme.html
 *
 * \author
 *      Atmel Corporation: http://www.atmel.com \n
 *      Support email: avr@atmel.com
 *
 * 
 * $Name$
 * $Revision: 2261 $
 * $RCSfile$
 * $URL: http://svn.norway.atmel.com/AppsAVR8/avr458_Charging_Li-Ion_Batteries_with_BC100/tag/20070904_release_1.0/code/IAR/time.h $
 * $Date: 2007-08-10 09:28:35 +0200 (fr, 10 aug 2007) $\n
 ******************************************************************************/

#ifndef TIME_H
#define TIME_H


//******************************************************************************
// Globals
//******************************************************************************
extern unsigned long timeval[];  // Needed for SPI transfer.


//******************************************************************************
// Function prototypes
//******************************************************************************
#pragma vector = TIM0_COMPA_vect
__interrupt void TICK_ISR(void);

unsigned char Time_Left(unsigned char timer);
void Time_Set(unsigned char timer, unsigned int min, unsigned char sec,
				  unsigned char ms);
void Time_Stop(void);
void Time_Start(void);
void Time_Init(void);

#endif // TIME_H
